Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# Domain_Handler Class Reference

Handler class for <domain> type. More...

`#include <Domain_Handler.h>`

Inheritance diagram for Domain_Handler:

[legend]
Collaboration diagram for Domain_Handler:

[legend]
List of all members.

## Public Member Functions
| Domain_Handler (DOMDocument *doc, unsigned long filter_)
| constructor
| Domain_Handler (DOMNodeIterator *iter, bool release=false)
| constructor
| Domain_Handler (DOMDocument *doc, DOMNodeIterator *iter, bool release=false)
| constructor
void | process_domain (Deployment::Domain &domain)
| Process the Domain type.
void | process_node (DOMNodeIterator *iter, Deployment::Node &domain_node)
| process the node attribute
void | process_bridge (DOMNodeIterator *iter, Deployment::Bridge &domain_bridge)
| process the node attribute
void | process_interconnect (DOMNodeIterator *iter, Deployment::Interconnect &domain_ic)
| process the node attribute
void | process_resource (DOMNodeIterator *iter, Deployment::Resource &domain_resource)
| process the resource attribute
void | process_sr (DOMNodeIterator *iter, Deployment::SharedResource &domain_sr)
| process the node attribute
void | update_node_refs (Deployment::Domain &domain)
| update node refs
void | update_ic_refs (Deployment::Domain &domain)
| update ic refs
void | update_bridge_refs (Deployment::Domain &domain)
| update bridge refs
void | update_sr_refs (Deployment::Domain &domain)
| update sr refs
void | process_refs (DOMNamedNodeMap *named_node_map)
| process IDREFs

## Detailed Description

Handler class for <domain> type.

This class is within the Target Data Model subpackage of the Deployment & Configuration package.

This class defines handler methods to parse the aforementioned type in the description files. The corresponding CORBA IDL type for this element is returned.

## Constructor & Destructor Documentation

Domain_Handler::Domain_Handler | ( | DOMDocument * | doc,
|  | unsigned long | filter_
| ) | `[inline]`

| constructor

Domain_Handler::Domain_Handler | ( | DOMNodeIterator * | iter,
|  | bool | release = `false`
| ) | `[inline]`

| constructor

Domain_Handler::Domain_Handler | ( | DOMDocument * | doc,
|  | DOMNodeIterator * | iter,
|  | bool | release = `false`
| ) | `[inline]`

| constructor

## Member Function Documentation

void Domain_Handler::process_bridge | ( | DOMNodeIterator * | iter,
|  | Deployment::Bridge & | domain_bridge
| ) |

| process the node attribute

BEGIN_DEPLOYMENT_NAMESPACE void Domain_Handler::process_domain | ( | Deployment::Domain & | domain | ) |

| Process the Domain type.

void Domain_Handler::process_interconnect | ( | DOMNodeIterator * | iter,
|  | Deployment::Interconnect & | domain_ic
| ) |

| process the node attribute

void Domain_Handler::process_node | ( | DOMNodeIterator * | iter,
|  | Deployment::Node & | domain_node
| ) |

| process the node attribute

void Domain_Handler::process_refs | ( | DOMNamedNodeMap * | named_node_map | ) |

| process IDREFs

void Domain_Handler::process_resource | ( | DOMNodeIterator * | iter,
|  | Deployment::Resource & | domain_resource
| ) |

| process the resource attribute

void Domain_Handler::process_sr | ( | DOMNodeIterator * | iter,
|  | Deployment::SharedResource & | domain_sr
| ) |

| process the node attribute

void Domain_Handler::update_bridge_refs | ( | Deployment::Domain & | domain | ) |

| update bridge refs

void Domain_Handler::update_ic_refs | ( | Deployment::Domain & | domain | ) |

| update ic refs

void Domain_Handler::update_node_refs | ( | Deployment::Domain & | domain | ) |

| update node refs

void Domain_Handler::update_sr_refs | ( | Deployment::Domain & | domain | ) |

| update sr refs

The documentation for this class was generated from the following files:

- Domain_Handler.h
- Domain_Handler.cpp